package com.ruoyi.syzy.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.syzy.mapper.BBusiSyghVideoMapper;
import com.ruoyi.syzy.domain.BBusiSyghVideo;
import com.ruoyi.syzy.service.IBBusiSyghVideoService;

/**
 * 生涯课程Service业务层处理
 * 
 * @author mingxue
 * @date 2021-07-25
 */
@Service
public class BBusiSyghVideoServiceImpl implements IBBusiSyghVideoService {
    @Autowired
    private BBusiSyghVideoMapper bBusiSyghVideoMapper;

    /**
     * 查询生涯课程
     * 
     * @param id 生涯课程ID
     * @return 生涯课程
     */
    @Override
    public BBusiSyghVideo selectBBusiSyghVideoById(Long id) {
        return bBusiSyghVideoMapper.selectBBusiSyghVideoById(id);
    }

    public List<BBusiSyghVideo> subjectNames() {
        return bBusiSyghVideoMapper.subjectNames();
    }

    public List<BBusiSyghVideo> knowledgeNames(Integer subjectId) {
        return bBusiSyghVideoMapper.knowledgeNames(subjectId);
    }

    /**
     * 查询生涯课程列表
     * 
     * @param bBusiSyghVideo 生涯课程
     * @return 生涯课程
     */
    @Override
    public List<BBusiSyghVideo> selectBBusiSyghVideoList(BBusiSyghVideo bBusiSyghVideo) {
        return bBusiSyghVideoMapper.selectBBusiSyghVideoList(bBusiSyghVideo);
    }

    /**
     * 新增生涯课程
     * 
     * @param bBusiSyghVideo 生涯课程
     * @return 结果
     */
    @Override
    public int insertBBusiSyghVideo(BBusiSyghVideo bBusiSyghVideo) {
        return bBusiSyghVideoMapper.insertBBusiSyghVideo(bBusiSyghVideo);
    }

    /**
     * 修改生涯课程
     * 
     * @param bBusiSyghVideo 生涯课程
     * @return 结果
     */
    @Override
    public int updateBBusiSyghVideo(BBusiSyghVideo bBusiSyghVideo) {
        return bBusiSyghVideoMapper.updateBBusiSyghVideo(bBusiSyghVideo);
    }

    /**
     * 批量删除生涯课程
     * 
     * @param ids 需要删除的生涯课程ID
     * @return 结果
     */
    @Override
    public int deleteBBusiSyghVideoByIds(Long[] ids) {
        return bBusiSyghVideoMapper.deleteBBusiSyghVideoByIds(ids);
    }

    /**
     * 删除生涯课程信息
     * 
     * @param id 生涯课程ID
     * @return 结果
     */
    @Override
    public int deleteBBusiSyghVideoById(Long id) {
        return bBusiSyghVideoMapper.deleteBBusiSyghVideoById(id);
    }
}
